KJL - Feature #1839

[ESS Leave] Flow Approval Request Leave
11/29/2022 09:40 AM - Mega Yunita

Status: Closed
Priority: Urgent
Assignee: Mega Yunita
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

11/29/2022
11/30/2022
0%

0.00 hour
2.50 hours

Description
Dear Azid,

Mohon bantuannya untuk membuat validasi approval pengajuan cuti :

1. Apapun jabatan atau posisinya, flow approval satu tingkat di atasnya dan dilanjut ke HR :

- Start --> karyawan (requestor) --> DS1 --> HR --> finish
2. Flow approval mengikuti struktur OM.

3. Jika atasan langsungnya kosong/vacant, maka akan terus mencari atasan berikutnya.

4. Setelah di approve oleh DS1, maka akan dilanjut ke HR untuk dilakukan Approve atau Reject.

contoh employee yang dapat di test :

- Pebi Apriyadi (pebi) 16030009 > Creator

- Tumino (tumino) 17010004 > DS1

- Anak Agung Dwi Amelia (aadwi) 22020002 > HR

- Aenum Naim (aenum) 16030008 > Creator
- Reza Amirullah (reza) 20010005 > DS1
- Anak Agung Dwi Amelia (aadwi) 22020002 > HR

Port : http://remote.minovais.com:31138/

Server : remote.minovais.com, 1442\MSSQLSERVER2014

DB : MinovaES_KJL

Menu : My WorkPlace > Request > Time Management > Leave
Semoga dapat dimengerti

Terimakasih

History

#1 - 11/29/2022 09:41 AM - Mega Yunita

- Description updated

#2 - 11/29/2022 09:42 AM - Mega Yunita

- Tracker changed from Bug to Feature

#3 - 11/29/2022 10:59 AM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega , tolong buatkan kondisi jika ds1 hr maka langsung posting

makasih

#4 - 11/29/2022 11:11 AM - Mega Yunita
- Assignee changed from Mega Yunita to M Azid Wahyudi

sudah saya buatkan 1 condition yaitu cond_cek_hr

#5 - 11/29/2022 11:42 AM - M Azid Wahyudi

03/14/2025

1/2



http://remote.minovais.com:31138/

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Mega Yunita
dear mega , udah bisa di test ya

package :

custparam :

- DirectSpv1NewKJL

- CondCheckHR

note : jika menemukan error di async seperti ini ‘cond_cek_hr does not Exist or FlowType <> 300 - MinovalS.MinovaES.Business.WorkFlow'

langkah awal cekdeftask flowtypenya sudah 300 atau belom
kedua cek defflow flowtypenya sudah 300 atau belom

makasih

#6 - 11/29/2022 02:33 PM - Mega Yunita
- Status changed from QA Test to Closed

oke, untuk flow sudah berjalan sesuai dengan ketentuan-ketentuannya.

Terimakasih
